## MateMixer

MateMixer — Library initialization and support functions

## Functions

gboolean | mate_mixer_init ()
gboolean | mate_mixer_is_initialized ()
#define | LIBMATEMIXER_CHECK_VERSION()

## Includes

    #include <libmatemixer/matemixer.h>

## Description

The libmatemixer library must be initialized before it is used by an application. The initialization function loads dynamic modules which provide access to sound systems (also called backends) and it only succeeds if there is at least one usable module present on the target system.

To connect to a sound system and access the mixer functionality after the library is initialized, create a MateMixerContext using the `mate_mixer_context_new()` function.

## Functions

### mate_mixer_init ()

    gboolean
    mate_mixer_init (void);

Initializes the library. You must call this function before using any other function from the library.

#### Returns

`TRUE` on success or `FALSE` if the library installation does not provide support for any sound system backends.

### mate_mixer_is_initialized ()

    gboolean
    mate_mixer_is_initialized (void);

Returns `TRUE` if the library has been initialized.

#### Returns

`TRUE` or `FALSE`.

### LIBMATEMIXER_CHECK_VERSION()

    #define             LIBMATEMIXER_CHECK_VERSION(major, minor, micro)

Compile-time version checking. Evaluates to `TRUE` if the version of the library is greater than the required one.

#### Parameters

major | major version number |
minor | minor version number |
micro | micro version number |

## See Also

MateMixerContext